org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.xmpp

## Class VirtualFirealarmXMPPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.iot.virtualfirealarm.service.impl.xmpp.VirtualFirealarmXMPPException

- All Implemented Interfaces:
    Serializable

      public class VirtualFirealarmXMPPException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualFirealarmXMPPException()`
    `VirtualFirealarmXMPPException(String msg)`
    `VirtualFirealarmXMPPException(String msg, Exception nestedEx)`
    `VirtualFirealarmXMPPException(String message, Throwable cause)`
    `VirtualFirealarmXMPPException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualFirealarmXMPPException

          public VirtualFirealarmXMPPException(String msg,
                                       Exception nestedEx)

    - #### VirtualFirealarmXMPPException

          public VirtualFirealarmXMPPException(String message,
                                       Throwable cause)

    - #### VirtualFirealarmXMPPException

          public VirtualFirealarmXMPPException(String msg)

    - #### VirtualFirealarmXMPPException

          public VirtualFirealarmXMPPException()

    - #### VirtualFirealarmXMPPException

          public VirtualFirealarmXMPPException(Throwable cause)

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.